# Fetch availability

Retrieves a single availability time block by its ID.

Endpoint: GET /users/{user_id}/availabilities/{id}
Version: v1
Security: AuthToken

## Path parameters:

  - `user_id` (integer, required)
    The ID of the user.

  - `id` (integer, required)
    The ID of the availability block.

## Response 200 fields (application/json):

  - `id` (integer, required)
    The unique identifier for the availability block.
    Example: 52

  - `user_id` (integer, required)
    The ID of the user this availability block belongs to.
    Example: 269

  - `day0` (number, required)
    Available hours on Sunday.

  - `day1` (number, required)
    Available hours on Monday.
    Example: 8

  - `day2` (number, required)
    Available hours on Tuesday.
    Example: 8

  - `day3` (number, required)
    Available hours on Wednesday.
    Example: 4

  - `day4` (number, required)
    Available hours on Thursday.
    Example: 8

  - `day5` (number, required)
    Available hours on Friday.
    Example: 8

  - `day6` (number, required)
    Available hours on Saturday.

  - `starts_at` (string,null, required)
    The effective start date for the availability block. Null implies the past.
    Example: "2017-01-30"

  - `ends_at` (string,null, required)
    The effective end date for the availability block. Null implies the future.
    Example: "2017-07-28"

  - `created_at` (string)
    The time of creation.
    Example: "2024-08-27T12:00:00Z"

  - `updated_at` (string)
    The time of the last update.
    Example: "2024-08-27T12:00:00Z"

## Response 404 fields (application/json):

  - `message` (string)
    Example: "not found"


